Opened 3 years ago

Closed 3 years ago

#3323 closed defect (fixed)

regress failing on 2.3 cause we are using deprecated calls

Reported by: robe Owned by: robe
Priority: blocker Milestone: PostGIS 2.3.0
Component: postgis Version: trunk
Keywords: Cc:

Description

tickets .. failed (diff expected obtained: /var/lib/jenkins/workspace/postgis/tmp/2_3_pg9.5w64/test_84_diff)
-----------------------------------------------------------------------------
--- tickets_expected	2015-10-07 14:03:41.000000000 -0700
+++ /var/lib/jenkins/workspace/postgis/tmp/2_3_pg9.5w64/test_84_out	2015-10-07 14:33:44.000000000 -0700
@@ -8,6 +8,7 @@
 #58|220187|150406|220289|150507
 ERROR:  lwgeom_to_gml2: 'CurvePolygon' geometry type not supported
 #66|CIRCULARSTRING(0 0,1 1,2 2)
+WARNING:  ST_Shift_Longitude signature was deprecated in 2.2.0. Please use ST_ShiftLongitude
 #68a|MULTIPOINT(1 3,4 5)
 ERROR:  lwgeom_longitude_shift: unsupported geom type: CircularString
 #69|CIRCULARSTRING(220269 150417,220228 150507,220228 150408)
@@ -96,6 +97,7 @@
 #835.12|MULTIPOLYGON EMPTY
 #650|MULTIPOINT(0 0,1 1,2 2)
 #667|SRID=4326;CURVEPOLYGON(CIRCULARSTRING(30 40,-50 39.9999999999999,30 40))
+WARNING:  ST_Distance_Spheroid signature was deprecated in 2.2.0. Please use ST_DistanceSpheroid
 #677.deprecated|1121395
 #677|1121395
 #680|01d107000000000000000024c000000000000049400000000000000040
-----------------------------------------------------------------------------

Change History (3)

comment:1 Changed 3 years ago by robe

Owner: changed from pramsey to robe

comment:2 Changed 3 years ago by robe

Summary: tickets failing on 2.3 cause we are using deprecated callsregress failing on 2.3 cause we are using deprecated calls

bunch of others too:

--- tickets_expected	2015-09-29 15:51:41 -0400
+++ /projects/postgis/tmp/2.3_pg9.4w64/test_84_out	2015-10-07 17:51:38 -0400
@@ -96,6 +96,7 @@
 #835.12|MULTIPOLYGON EMPTY
 #650|MULTIPOINT(0 0,1 1,2 2)
 #667|SRID=4326;CURVEPOLYGON(CIRCULARSTRING(30 40,-50 39.9999999999999,30 40))
+WARNING:  ST_Distance_Spheroid signature was deprecated in 2.2.0. Please use ST_DistanceSpheroid
 #677.deprecated|1121395
 #677|1121395
 #680|01d107000000000000000024c000000000000049400000000000000040


 -- measures 
+WARNING:  ST_Length_Spheroid signature was deprecated in 2.2.0. Please use ST_LengthSpheroid

--- sfcgal/measures_expected	2015-07-30 14:50:46 -0400
+++ /projects/postgis/tmp/2.3_pg9.4w64/test_113_out	2015-10-07 17:51:52 -0400
@@ -42,4 +42,5 @@
 emptyMultiLineArea|0
 emptyMultiPointArea|0
 emptyCollectionArea|0
+WARNING:  ST_Length_Spheroid signature was deprecated in 2.2.0. Please use ST_LengthSpheroid
 spheroidLength1|85204.52077
--- regress_expected	2015-07-30 14:50:46 -0400
+++ /projects/postgis/tmp/2.3_pg9.4w64/test_54_out	2015-10-07 17:51:33 -0400
@@ -101,6 +101,8 @@
 126|f
 127|f
 128|f
+WARNING:  ST_Mem_Size signature was deprecated in 2.2.0. Please use ST_MemSize
+WARNING:  ST_Mem_Size signature was deprecated in 2.2.0. Please use ST_MemSize
 129|48016|48016
 131|1
 132|2
--- sfcgal/tickets_expected	2015-10-04 13:37:09 -0400
+++ /projects/postgis/tmp/2.3_pg9.4w64/test_117_out	2015-10-07 17:51:52 -0400
@@ -8,7 +8,9 @@
 #58|220187|150406|220289|150507
 ERROR:  lwgeom_to_gml2: 'CurvePolygon' geometry type not supported
 #66|CIRCULARSTRING(0 0,1 1,2 2)
+WARNING:  ST_Shift_Longitude signature was deprecated in 2.2.0. Please use ST_ShiftLongitude
 #68a|MULTIPOINT(1 3,4 5)
+WARNING:  ST_Shift_Longitude signature was deprecated in 2.2.0. Please use ST_ShiftLongitude
 ERROR:  lwgeom_longitude_shift: unsupported geom type: CircularString
 #69|CIRCULARSTRING(220269 150417,220228 150507,220228 150408)
 #70|3
@@ -96,6 +98,7 @@
 #835.12|MULTIPOLYGON EMPTY
 #650|MULTIPOINT(0 0,1 1,2 2)
 #667|SRID=4326;CURVEPOLYGON(CIRCULARSTRING(30 40,-50 39.9999999999999,30 40))
+WARNING:  ST_Distance_Spheroid signature was deprecated in 2.2.0. Please use ST_DistanceSpheroid
 #677|1121395
 #680|01d107000000000000000024c000000000000049400000000000000040
 #681a|

comment:3 Changed 3 years ago by robe

Resolution: fixed
Status: newclosed

Let's not bother testing legacy functions. Replaced them at r14219

Note: See TracTickets for help on using tickets.